RDBPROD: Logical SQLSRV$CHECK_EXPIRED_PASSWORDS does not work as expected

(Doc ID 1173083.1)

Last updated on JUNE 07, 2017

Applies to:

Oracle SQL/Services for Rdb on OpenVMS - Version and later
HP OpenVMS Alpha
HP OpenVMS Itanium


After upgrading SQL/Services from to, an account with an expired password can no longer connect, even with the system logical SQLSRV$CHECK_EXPIRED_PASSWORDS defined to "N". Previous versions allowed the connection.

The error SQLSRV-E-AUTH_FAILURE is now returned.


Upgrade SQL/Services from version or earlier (down to 7.0) to


Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms